import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_wireguard_running_and_enabled(host):
    wireguard = host.service("wg-quick@wg0")
    assert wireguard.is_running
    assert wireguard.is_enabled
